package com.gic.haoban.manage.service.service.contact;

import com.gic.haoban.manage.api.qdto.contact.ContactLogQDTO;
import com.gic.haoban.manage.service.entity.contact.TabContactLog;

public interface ContactLogService {


    /**
     * 保存建联记录
     * @param qdto
     */
    void saveContactLog(ContactLogQDTO qdto);

    /**
     * 清除建联状态
     * @param memberId
     * @param clearType 1 消费清除 2 换绑主导购
     */
    void clearContactLog(String memberId,Integer clearType);

    /**
     * 获取最近一条有效建联记录
     * @param memberId
     * @return
     */
    TabContactLog getClerkContactTime(String memberId);
}
